List Addresses
curl --request GET \
--url https://api.anchorage-staging.com/v3/addresses \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/addresses"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"address": "<string>",
"networkId": "<string>",
"publicKey": "<string>",
"signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503",
"signatureVersion": "V1",
"signedJson": "7b225465787441646472657373223a22307831323334227d",
"walletId": "<string>",
"certChain": "<string>"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List Addresses
Permissions required: Read vault activity
List all addresses across wallets in the organization.
GET
/
addresses
List Addresses
curl --request GET \
--url https://api.anchorage-staging.com/v3/addresses \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/addresses"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"address": "<string>",
"networkId": "<string>",
"publicKey": "<string>",
"signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503",
"signatureVersion": "V1",
"signedJson": "7b225465787441646472657373223a22307831323334227d",
"walletId": "<string>",
"certChain": "<string>"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Filter by specific blockchain address
A unique string identifying a combination of blockchain and environment (testnet, mainnet).
Filter by vault ID
Filter by wallet ID
Filter by batch creation ID
Filter by public key string
Was this page helpful?